Get Buses Endpoint

Retrieves all buses available for either a route(Lagos->Abuja), the schedule(the day the user wants to travel), etc. It can also be customized to filter out exact information using path parameters.

Fetch Buses Based on Schedule (Pass the schedule ID as a path parameter)

get

This endpoint allows users to search for available buses based on a schedule. We plan to make it possible to also get buses based on the Route ID in the nearest future.

Path parameters
schedule_idintegerOptional

Filter buses by a specific schedule ID (departure time).

Responses
chevron-right
200

List of buses based on a schedule.

application/json
successbooleanOptional

Indicates whether the request was successful.

Example: true
statusintegerOptional

HTTP status code representing the response status.

Example: 200
messagestringOptional

Human-readable description of the response.

Example: List of buses based on a schedule
get
/api/v1/merpi/transport/buses/{schedule_id}

Last updated